### Class

# Adw EnumListModel

#### Description [src]

    final class Adw.EnumListModel : GObject.Object {
      /* No available fields */
    }

A `GListModel` representing values of a given enum.

`AdwEnumListModel` contains objects of type `AdwEnumListItem`.

Available since: | 1.0

#### Hierarchy

#### Ancestors

- GObject

#### Implements

- GListModel

#### Constructors

###### adw_enum_list_model_new

Creates a new `AdwEnumListModel` for `enum_type`.

Available since: 1.0

#### Instance methods

###### adw_enum_list_model_find_position

Finds the position of a given enum value in `self`.

Available since: 1.0

###### adw_enum_list_model_get_enum_type

Gets the type of the enum represented by `self`.

Available since: 1.0

##### Methods inherited from GObject (43)

##### Methods inherited from GListModel (5)

###### g_list_model_get_item

Get the item at `position`. If `position` is greater than the number of items in `list`, `NULL` is returned.

Available since: 2.44

###### g_list_model_get_item_type

Gets the type of the items in `list`. All items returned from `g_list_model_get_type()` are of that type or a subtype, or are an implementation of that interface.

Available since: 2.44

###### g_list_model_get_n_items

Gets the number of items in `list`.

Available since: 2.44

###### g_list_model_get_object

Get the item at `position`. If `position` is greater than the number of items in `list`, `NULL` is returned.

Available since: 2.44

###### g_list_model_items_changed

Emits the `GListModel::items-changed` signal on `list`.

Available since: 2.44

#### Properties

###### Adw.EnumListModel:enum-type

The type of the enum represented by the model.

Available since: 1.0

#### Signals

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

##### Signals inherited from GListModel (1)

###### Gio.ListModel::items-changed

This signal is emitted whenever items were added to or removed from `list`. At `position`, `removed` items were removed and `added` items were added in their place.

Available since: 2.44

#### Class structure

    struct AdwEnumListModelClass {
      GObjectClass parent_class;

    }

###### Class members

`parent_class` |
    GObjectClass
| No description available.